<?php

namespace Litecms\Instructor;

use User;

class Instructor
{
    /**
     * $instructor object.
     */
    protected $instructor;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Instructor\Interfaces\InstructorRepositoryInterface $instructor)
    {
        $this->instructor = $instructor;
    }

    /**
     * Returns count of instructor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find instructor by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function instructor($slug)
    {
        return  $this->instructor
            ->findBySlug($slig)
            ->toArray();
    }
}
